General

Cards

 

Retrieve a list of cards stored in the PCI DSS Level 1 vault

List

List cards used for recurring transactions that have been stored on the platform through a Checkout Page, Checkout Form or Card Vault.

Path

GET /cards?{query parameters}

Query Parameters

FieldRequiredDescription
Example
expire_in_monthsNFilter for card that will expire in x months2
card_statusNCard status ACTIVE, ARCHIVED, DISABLED, EXPIREDACTIVE
customer_idNID of a specific customer to filter for, see customerscus_YxVm9CfEeP-6GnSN0MBCb

Response Body

{
  "status": true,
  "results": [{
    "id": "crd_3yXrdg041rMGY4_VYaWva",
    "created_at": "2024-12-28 22:14:47",
    "updated_at": null,
    "card_status": "ACTIVE",
    "usage_type": "VAULT_AND_SUBSCRIPTION",
    "customer_id": "cus_YxVm9CfEeP-6GnSN0MBCb",
    "card_nickname": "Mike's Card",
    "card_ending": "9834",
    "card_expire": "04/29",
    "card_brand": "VISA",
    "card_token": "60d678e2465b5b6c4fd5e847ef39c70c4b0c22d1b826f39eb80a107b3b8433ad",
    "is_expired": false,
    "is_default": true,
    "priority": 1,
    "expire_in_months": 5,
    "last_transaction_id": "tra_pr6CvR_4pvWwmgQ4y3dtY"
  }, ...]
}

Response Parameters

Field
Type
Description
Example
statusBooleantrue - response success, false - response errortrue
resultsArrayArray of card objects...
results.idString(32)Unique ID of this cardcrd_3yXrdg041rMGY4_VYaWva
results.created_atTimestamp(YYYY-MM-DD HH:mm:ss)When this card was stored2024-12-28 22:14:47
results.updated_atTimestamp(YYYY-MM-DD HH:mm:ss)When this card entry was last changednull
results.card_statusENUMCard status ACTIVE, ARCHIVED, DISABLED, EXPIREDACTIVE
results.usage_typeENUMHow the card may be used VAULT_AND_SUBSCRIPTION, SUBSCRIPTION_ONLYVAULT_AND_SUBSCRIPTION
results.customer_idString(32)ID of the customer who owns this card see customerscus_YxVm9CfEeP-6GnSN0MBCb
results.card_nicknameString(64)A nickname given to the cardMike's Card
results.card_endingString(4)Last 4 digits of the card number9834
results.card_expireString(5)Card expiry date in MM/YY format04/29
results.card_brandENUMCard brand (VISA, MASTERCARD, AMERICAN_EXPRESS, DISCOVER)VISA
results.card_tokenStringCard token used for collections60d678e2465b5b6c4fd5e847ef39c70c4b0c22d1b826f39eb80a107b3b8433ad
results.is_expiredBooleanIndicates if the card has expiredfalse
results.is_defaultBooleanIndicates if the card is the default card set for collectionstrue
results.priorityIntegerCascade fallback order among non-default cards (lower runs first)1
results.expire_in_monthsIntegerNumber of months until the card expires5
results.last_transaction_idString(32)Hashed ID of the most recent transaction for this card, or null when none existtra_pr6CvR_4pvWwmgQ4y3dtY

Update

API call to update existing card(s) as single or batch records.

Terminal statuses: Once a card is set to DISABLED or ARCHIVED it cannot be re-activated (ACTIVE). Setting either status also retires the card at the card processor (ACI registration is deregistered asynchronously). Soft declines / back-off do not apply here — these statuses are permanent.

Path

POST /cards/update

Request Body

Only include fields you wish to change (besides id used to find the record). Setting a column to null will clear that field's value if allowed

{
  "records": [{
    "id": "crd_3yXrdg041rMGY4_VYaWva",
    "card_status": "DISABLED",
    "card_nickname": "Mike's Updated Card",
    "is_default": true
  }, {
    "id": "crd_SFq2E9LskQimPkf2mRqnV",
    "card_nickname": "Sarah's Card",
    "is_default": false
  }]
}

Request Parameters

Field
RequiredType
Description
Example
idYString(32)ID of the card to updatecrd_3yXrdg041rMGY4_VYaWva
card_statusNENUMCard status ACTIVE, ARCHIVED, DISABLED, EXPIRED. DISABLED / ARCHIVED are terminal — the card cannot later be set back to ACTIVE, and its processor registration is deregisteredDISABLED
card_nicknameNString(64)A nickname for the cardMike's Updated Card
is_defaultNBooleanSet as the default card for collectionstrue

Response Body

{
  "status": true,
  "results": [{
    "id": "crd_3yXrdg041rMGY4_VYaWva",
    "created_at": "2024-12-28 22:14:47",
    "updated_at": "2024-12-28 22:20:15",
    "card_status": "DISABLED",
    "usage_type": "VAULT_AND_SUBSCRIPTION",
    "customer_id": "cus_YxVm9CfEeP-6GnSN0MBCb",
    "card_nickname": "Mike's Updated Card",
    "card_ending": "9834",
    "card_expire": "04/29",
    "card_brand": "VISA",
    "card_token": "60d678e2465b5b6c4fd5e847ef39c70c4b0c22d1b826f39eb80a107b3b8433ad",
    "is_expired": false,
    "is_default": true,
    "priority": 1,
    "expire_in_months": 5,
    "last_transaction_id": "tra_pr6CvR_4pvWwmgQ4y3dtY"
  }, {
    "id": "crd_SFq2E9LskQimPkf2mRqnV",
    "created_at": "2024-12-28 21:30:12",
    "updated_at": "2024-12-28 22:20:15",
    "card_status": "ACTIVE",
    "usage_type": "SUBSCRIPTION_ONLY",
    "customer_id": "cus_tDaOH6RaG0YlGah9VKxu7",
    "card_nickname": "Sarah's Card",
    "card_ending": "1234",
    "card_expire": "08/27",
    "card_brand": "VISA",
    "card_token": "70e789f3576c6c7d5ge6f958fg50d81e5c1d33e2c937g50fc91b218c4c9544be",
    "is_expired": false,
    "is_default": false,
    "priority": 2,
    "expire_in_months": 35,
    "last_transaction_id": null
  }]
}

Response Parameters

Field
RequiredType
Description
Example
idYString(32)Record id to updatecrd_3yXrdg041rMGY4_VYaWva
card_statusNENUMCard status ACTIVE, ARCHIVED, DISABLED, EXPIREDDISABLED
usage_typen/aENUMHow the card may be used VAULT_AND_SUBSCRIPTION, SUBSCRIPTION_ONLYVAULT_AND_SUBSCRIPTION
card_nicknameNString(64)A nickname for the cardMike's Updated Card
is_defaultNBooleanSet as the default card for collectionstrue
priorityn/aIntegerCascade fallback order among non-default cards (lower runs first)1
last_transaction_idn/aString(32)Hashed ID of the most recent transaction for this card, or null when none existtra_pr6CvR_4pvWwmgQ4y3dtY
customer_idn/aString(32)ID of the customer who owns this card see customerscus_YxVm9CfEeP-6GnSN0MBCb
card_endingn/aString(4)Last 4 digits of the card number9834
card_expiren/aString(5)Card expiry date in MM/YY format04/29
card_brandn/aENUMCard brand (VISA, MASTERCARD, AMERICAN_EXPRESS, DISCOVER)VISA
card_tokenn/aStringCard token used for collections8EooXHkTd7hf7xD2nM1nS72cifJeijXk
is_expiredn/aBooleanIndicates if the card has expiredfalse
expire_in_monthsn/aIntegerNumber of months until the card expires5
created_atn/aTimestamp(YYYY-MM-DD HH:mm:ss)Date and time card was stored2024-12-28 22:14:47
updated_atn/aTimestamp(YYYY-MM-DD HH:mm:ss)Date and time record was last updated2024-12-28 22:20:15